SDL_naclopengles.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_naclopengles.h:

Go to the source code of this file.

## Functions

int | NACL_GLES_LoadLibrary (_THIS, const char *path)
void * | NACL_GLES_GetProcAddress (_THIS, const char *proc)
void | NACL_GLES_UnloadLibrary (_THIS)
SDL_GLContext | NACL_GLES_CreateContext (_THIS, SDL_Window *window)
int | NACL_GLES_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | NACL_GLES_SetSwapInterval (_THIS, int interval)
int | NACL_GLES_GetSwapInterval (_THIS)
int | NACL_GLES_SwapWindow (_THIS, SDL_Window *window)
void | NACL_GLES_DeleteContext (_THIS, SDL_GLContext context)

## Function Documentation

## NACL_GLES_CreateContext()

SDL_GLContext NACL_GLES_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## NACL_GLES_DeleteContext()

void NACL_GLES_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

## NACL_GLES_GetProcAddress()

void* NACL_GLES_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

## NACL_GLES_GetSwapInterval()

int NACL_GLES_GetSwapInterval | ( | _THIS |  | ) |

## NACL_GLES_LoadLibrary()

int NACL_GLES_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## NACL_GLES_MakeCurrent()

int NACL_GLES_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## NACL_GLES_SetSwapInterval()

int NACL_GLES_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

## NACL_GLES_SwapWindow()

int NACL_GLES_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## NACL_GLES_UnloadLibrary()

void NACL_GLES_UnloadLibrary | ( | _THIS |  | ) |